package com.bonus.material.device.mapper;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.device.domain.MaDevQc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/5 15:54
 */
@Mapper
public interface MaDevQcMapper {

    /**
     * 装备质检列表
     * @param maDevQc
     * @return
     */
    List<MaDevQc> selectDevQcList(MaDevQc maDevQc);

    /**
     * 新增装备质检
     * @param maDevQc
     * @return
     */
    int insertDevQc(MaDevQc maDevQc);

    /**
     * 删除装备质检
     * @param maId
     * @return
     */
    int deleteDevQcByFileId(Integer fileId);

    /**
     * 查询月任务数
     * @param nowDate
     * @return
     */
    String selectTaskNumByMonth(Date nowDate);

    List<MaDevQc> selectQcList(MaDevQc maDevQc);

    List<MaDevQc> getQcList(Long maId);

    MaDevQc getQcListByOne(Long maId);

    Integer updateById(MaDevQc maDevQc);

    List<MaDevQc> checkQcTime();

    Integer updateFileId(@Param("id") Integer id, @Param("fileId") Integer fileId);

    Integer selectDevQcListByMaId(Integer maId);
}
